Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1577497 - All quantum chemistry packages are broken under Fedora 28 (CP2K included)
Summary: All quantum chemistry packages are broken under Fedora 28 (CP2K included)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cp2k
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-12 12:47 UTC by Henrique C. S. Junior
Modified: 2018-06-01 12:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-01 12:03:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Henrique C. S. Junior 2018-05-12 12:47:12 UTC
It is impossible to install CP2K in Fedora 28 using DNF. Is this a mass rebuild problem?

# dnf install dnf install cp2k*

Erro: 
 Problema 1: conflicting requests
  - nothing provides libxsmm.so.1()(64bit) needed by cp2k-5.1-3.fc28.x86_64
 Problema 2: conflicting requests
  - nothing provides libxsmm.so.1()(64bit) needed by cp2k-mpich-5.1-3.fc28.x86_64
 Problema 3: conflicting requests
  - nothing provides libxsmm.so.1()(64bit) needed by cp2k-openmpi-5.1-3.fc28.x86_64
[root@localhost x86_64] # dnf whatprovides */libxsmm.so.1
libxsmm-1.8.3-1.fc28.x86_64 : Small dense or sparse matrix multiplications and convolutions for x86_64
Repo        : @System
Resultado a partir de:
Nome de arquivo    : /usr/lib64/libxsmm.so.1

libxsmm-1.8.3-1.fc28.x86_64 : Small dense or sparse matrix multiplications and convolutions for x86_64
Repo        : fedora
Resultado a partir de:
Nome de arquivo    : /usr/lib64/libxsmm.so.1

But libxsmm-1.8.3-1.fc28.x86_64 is already installed

Comment 1 Henrique C. S. Junior 2018-05-12 12:51:39 UTC
Related: #1577494 #1577495 #1577496

Comment 3 Fedora Update System 2018-05-22 19:47:50 UTC
cp2k-5.1-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b80b8f943f

Comment 4 Fedora Update System 2018-05-23 17:37:47 UTC
cp2k-5.1-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b80b8f943f

Comment 5 Dave Love 2018-05-24 12:36:21 UTC
The accidental soname change for libxsmm is reverted in builds currently in testing, which I'll push to stable as soon as possible.
Apologies for not noticing the upstream issue which caused it,

Comment 6 Fedora Update System 2018-05-24 19:27:08 UTC
libxsmm-1.8.3-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b60d813a5c

Comment 7 Fedora Update System 2018-06-01 12:03:50 UTC
libxsmm-1.8.3-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.